2026-02-05 22:09:04 UTC
299 MB
/usr/java/openjdk-26
JAVA_VERSION26-ea+33
LANGC.UTF-8
PATH/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4f37333d1be658a226cdafd622c7bda0a95abbcb999c29a571136add51950044 - 15.09% (45.1 MB)
[#001] sha256:bde458ea0ff4b78b30f5d919c75eb9e773aceb8420df617f9565a55227465343 - 12.22% (36.5 MB)
[#002] sha256:0630f27946e6452686f52fc9079cfb715f84bf941fa0d696165caa28626e815b - 72.69% (217 MB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2026-02-05 22:02:11 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-02-05 22:08:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-26
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=26-ea+33
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_linux-x64_bin.tar.gz'; downloadSha256='9491eba6266080ac690d5e31b7776f5c94188c3f8092874d9fd250660d51050e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_linux-aarch64_bin.tar.gz'; downloadSha256='f9ebfe93a1ff1ebbc6d7b3a4348b1197797f1c57c9f7a69b2bed30014af4039e'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-02-05 22:09:04 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-02-10 23:00:16 UTC
2.04 GB
C:\openjdk-26
JAVA_SHA2561613acc47081355dcb54aca5db4a0cc088734861b42bd254657ab88fd50944ec
JAVA_URLhttps://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_windows-x64_bin.zip
JAVA_VERSION26-ea+33
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 69.56% (1.42 GB)
[#001] sha256:456534216d0c12d9314cda831989d54bb3f542d7d43d9772ba40654db6dbd7bc - 20.17% (421 MB)
[#002] sha256:d3c98dbe9f1f0558e249573b12845ab1eecd63a28b82c4d7dd0c89342195382d - 0.0% (1.29 KB)
[#003] sha256:4de66df3970b18e313714e77e24c013a7c1510d79fddd96b534b7361805a21a5 - 0.02% (339 KB)
[#004] sha256:eeab3be93b3a2257bc1697d00334b267244a60bcac88dd45c894dc88c6379e83 - 0.0% (1.3 KB)
[#005] sha256:d71be10e2d6218e5fa58d47a4dd4cbd0b79e036c340e860ce1594bebc86e7149 - 0.01% (320 KB)
[#006] sha256:6b2c382d3803eb42306c49af79e0b330d8489391ee5cc941f03899ecf3954314 - 0.0% (1.27 KB)
[#007] sha256:44cb6f60783f9dbdf26b96ff2d0f1f6676ec30b900d05a424d1be94d36d036b2 - 0.0% (1.3 KB)
[#008] sha256:5f566b543b6b7a1f32cf44db64f34f5de64bce27fb8f137d6b293969f981f6b8 - 0.0% (1.31 KB)
[#009] sha256:9c7350f8e2865a388e1770e8f718b2dc04d74837423d0e614be29c11b29666f5 - 10.24% (214 MB)
[#010] sha256:77f1240f77dbe93a8cbb4f0af06505b19c319147d019205095eab89b99a82688 - 0.0% (1.27 KB)
Apply image 10.0.26100.32230
2026-02-06 22:21:49 UTCInstall update 10.0.26100.32370
2026-02-10 22:52:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-02-10 22:59:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-02-10 22:59:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26
2026-02-10 22:59:35 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-02-10 22:59:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+33
2026-02-10 22:59:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_windows-x64_bin.zip
2026-02-10 22:59:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=1613acc47081355dcb54aca5db4a0cc088734861b42bd254657ab88fd50944ec
2026-02-10 23:00:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-02-10 23:00:16 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-02-10 23:09:21 UTC
1.94 GB
C:\openjdk-26
JAVA_SHA2561613acc47081355dcb54aca5db4a0cc088734861b42bd254657ab88fd50944ec
JAVA_URLhttps://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_windows-x64_bin.zip
JAVA_VERSION26-ea+33
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 71.32% (1.39 GB)
[#001] sha256:e3c87a3784ab1d08cbacea3288e90f8106f6e7a20b792ab27cdc739fc966a73e - 17.9% (356 MB)
[#002] sha256:30e5017e3b27d0eb763aca0362354553282eee78a4264a4b5ecd6f52bd60dcd3 - 0.0% (1.29 KB)
[#003] sha256:fee72633dd7fdc1a4c854ac578e0ac5359c6b631366ca6d14a3f670b06c2b368 - 0.02% (478 KB)
[#004] sha256:ce87a5c5be33f6f9458f48e0ba1f8317355a6d48f0d865b7cf042eb5836e104e - 0.0% (1.29 KB)
[#005] sha256:5eb2e51325e08400298f12fcce70d7795358031c3448c57d61151bb89897a770 - 0.02% (330 KB)
[#006] sha256:3870e1253c3451fa4281f5388609dc880b7f9129c84824089cee2592a54bde25 - 0.0% (1.3 KB)
[#007] sha256:04456c1d6886e520c01d4adb7944ac8b5b833255060782da083e0c6ab723e754 - 0.0% (1.29 KB)
[#008] sha256:08b888b8ae420779213e33551df0b681edc622bfd6d57bb3c97f40a6b4be7753 - 0.0% (1.26 KB)
[#009] sha256:6d8e95a8734b0f28d19d3608a6f3a1da5c4dc780223a4d8ac3b9e03a5a296cb3 - 10.74% (214 MB)
[#010] sha256:3822630386c039fc1629f02416057b6998e108e0433ffbe1d2439ef4251f00ec - 0.0% (1.26 KB)
Apply image 10.0.20348.4294
2026-02-06 10:02:33 UTCInstall update 10.0.20348.4773
2026-02-10 22:50:48 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-02-10 23:08:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-02-10 23:08:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26
2026-02-10 23:08:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-02-10 23:08:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+33
2026-02-10 23:08:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_windows-x64_bin.zip
2026-02-10 23:08:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=1613acc47081355dcb54aca5db4a0cc088734861b42bd254657ab88fd50944ec
2026-02-10 23:09:20 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-02-10 23:09:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-02-05 22:11:20 UTC
296 MB
/usr/java/openjdk-26
JAVA_VERSION26-ea+33
LANGC.UTF-8
PATH/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bdaccdb6a2d14a7ee18a3d1ff57e3f6bd4e826bf7bda3d4995e73942beb6ca3a - 14.79% (43.8 MB)
[#001] sha256:2a0a21c1ba79d16f56f48e154d176a3ebfd98240e948e1b4a553ff00b9873305 - 12.47% (36.9 MB)
[#002] sha256:abdd596edae2a808c97aa0a549aa6a01f846421c5977a5d3ec7fdaa82ef65b4d - 72.74% (215 MB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-02-05 22:01:48 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-02-05 22:11:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-26
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=26-ea+33
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_linux-x64_bin.tar.gz'; downloadSha256='9491eba6266080ac690d5e31b7776f5c94188c3f8092874d9fd250660d51050e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/33/GPL/openjdk-26-ea+33_linux-aarch64_bin.tar.gz'; downloadSha256='f9ebfe93a1ff1ebbc6d7b3a4348b1197797f1c57c9f7a69b2bed30014af4039e'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-02-05 22:11:20 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.